package com.fs.hisStore.service;

import java.util.List;
import com.fs.hisStore.domain.FsUserCourseCountScrm;

/**
 * 用户看课统计Service接口
 *
 * @author fs
 * @date 2025-04-02
 */
public interface IFsUserCourseCountScrmService
{
    /**
     * 查询用户看课统计
     *
     * @param id 用户看课统计ID
     * @return 用户看课统计
     */
    public FsUserCourseCountScrm selectFsUserCourseCountById(Long id);

    /**
     * 查询用户看课统计列表
     *
     * @param fsUserCourseCount 用户看课统计
     * @return 用户看课统计集合
     */
    public List<FsUserCourseCountScrm> selectFsUserCourseCountList(FsUserCourseCountScrm fsUserCourseCount);

    /**
     * 新增用户看课统计
     *
     * @param fsUserCourseCount 用户看课统计
     * @return 结果
     */
    public int insertFsUserCourseCount(FsUserCourseCountScrm fsUserCourseCount);

    /**
     * 修改用户看课统计
     *
     * @param fsUserCourseCount 用户看课统计
     * @return 结果
     */
    public int updateFsUserCourseCount(FsUserCourseCountScrm fsUserCourseCount);

    /**
     * 批量删除用户看课统计
     *
     * @param ids 需要删除的用户看课统计ID
     * @return 结果
     */
    public int deleteFsUserCourseCountByIds(Long[] ids);

    /**
     * 删除用户看课统计信息
     *
     * @param id 用户看课统计ID
     * @return 结果
     */
    public int deleteFsUserCourseCountById(Long id);

    FsUserCourseCountScrm findByUserId(Long userId);

    /**
     * 往看课统计表中插入数据
     */
    void insertFsUserCourseCountTask();
}
